# CONFREPORT.CGI

Section: User Commands (1)
Updated: Version 4.3.28: 17 Jan 2017
Index Return to Main Contents

## NAME

confreport.cgi - Xymon Configuration report

## SYNOPSIS

confreport.cgi

## DESCRIPTION

confreport.cgi is invoked as a CGI script via the confreport.sh CGI wrapper.

confreport.cgi provides a plain HTML (Web) report of the Xymon configuration for a group of hosts; which hosts are included is determined by the hosts available on the webpage from where the CGI script is invoked.

The configuration report include the hostnames, a list of the statuses monitored for each host, and if applicable any configuration settings affecting these. Alerts that may be triggered by status changes are also included.

The report is plain HTML without any images included, and therefore suitable for inclusion into e-mails or other documents that may be accessed outside the Xymon system.

## OPTIONS

--critical
  Report only on the statuses that are configured to show up on the Critical Systems view.

--old-nk-config
  Use the deprecated NK tag in hosts.cfg to determine if tests appear on the Critical Systems view.

--env=FILENAME
  Loads the environment defined in FILENAME before executing the CGI script.

--area=NAME
  Load environment variables for a specific area. NB: if used, this option must appear before any --env=FILENAME option.

--debug
  Enables debugging output.

--nkconfig=FILENAME
  Use FILENAME as the configuration file for the Critical Systems information. The default is to load this from $XYMONHOME/etc/critical.cfg

## BUGS

Client-side configuration done in the analysis.cfg(5) is not currently reflected in the report.

Critical Systems view configuration is not reflected in the report.

## SEE ALSO

hosts.cfg(5), alerts.cfg(5), analysis.cfg(5), xymon(7)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
BUGS
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 00:13:25 GMT, January 18, 2017